%define major   5.2
%define libname %mklibname %{name} %{major}
%define	devname %mklibname %{name} -d

Name:           allegro
Version:        5.2.7.0
Release:        %mkrel 3
Summary:        A game programming library
Group:          System/Libraries
License:        zlib
URL:            http://liballeg.org
Source0:        https://github.com/liballeg/allegro5/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
# dumb currently links against allegro4
#BuildRequires:  dumb-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libenet)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(zlib)

%description
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming. Allegro 5 is the latest major
revision of the library, designed to take advantage of modern hardware
(e.g. hardware acceleration using 3D cards) and operating systems.
Although it is not backwards compatible with earlier versions, it still
occupies the same niche and retains a familiar style.

#----------------------------------------------------------------------

%package -n %{libname}
Summary:        A game programming library
Group:          System/Libraries

%description -n %{libname}
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming. Allegro 5 is the latest major
revision of the library, designed to take advantage of modern hardware
(e.g. hardware acceleration using 3D cards) and operating systems.
Although it is not backwards compatible with earlier versions, it still
occupies the same niche and retains a familiar style.

%files -n %{libname}
%config(noreplace) %{_sysconfdir}/%{name}5rc
%doc CHANGES-5.0.txt CONTRIBUTORS.txt LICENSE.txt README.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n %{devname}
Summary:        Game programming library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}5-devel = %{version}-%{release}

%description -n %{devname}
This package is needed to build programs using the Allegro 5 library.
Contains header files and man-page documentation for the main library
and its addons.

%files -n %{devname}
%doc docs/html/refman
%{_includedir}/%{name}5/
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*-5*.pc
%{_mandir}/man3/ALLEGRO_*.3*
%{_mandir}/man3/al_*.3*

#----------------------------------------------------------------------

%define addon_pkg() \
%package -n %{_lib}%{name}_%{1}%{major} \
Summary:        Addon '%{1}' for the Allegro 5 library \
Group:          System/Libraries \
\
%description -n %{_lib}%{name}_%{1}%{major} \
This package provides the %{1} codec addon for the Allegro 5 library. \
\
%files -n %{_lib}%{name}_%{1}%{major} \
%{_libdir}/lib%{name}_%{1}.so.%{major}{,.*}

%addon_pkg acodec
%addon_pkg audio
%addon_pkg color
%addon_pkg dialog
%addon_pkg font
%addon_pkg image
%addon_pkg main
%addon_pkg memfile
%addon_pkg physfs
%addon_pkg primitives
%addon_pkg ttf
%addon_pkg video

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DWANT_DOCS=OFF
%cmake_build

%install
%cmake_install

# config file
install -d %{buildroot}%{_sysconfdir}
install -p -m 644 allegro5.cfg %{buildroot}%{_sysconfdir}/allegro5rc

# install man pages
install -d %{buildroot}%{_mandir}/man3
install -p -m 644 docs/man/*.3 %{buildroot}%{_mandir}/man3


%changelog
* Sun Nov 20 2022 wally <wally> 5.2.7.0-3.mga9
+ Revision: 1909250
- rebuild for flac 1.4.2

* Fri Apr 01 2022 umeabot <umeabot> 5.2.7.0-2.mga9
+ Revision: 1839515
- Mageia 9 Mass Rebuild

* Sun Mar 14 2021 daviddavid <daviddavid> 5.2.7.0-1.mga9
+ Revision: 1702498
- new version: 5.2.7.0
- native dialog addons: migrate from GTK2 to GTK3

* Wed Sep 09 2020 zezinho <zezinho> 5.2.6.0-1.mga8
+ Revision: 1624005
- new version 5.2.6.0

* Sat Feb 15 2020 umeabot <umeabot> 5.2.5.0-2.mga8
+ Revision: 1527987
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Aug 02 2019 zezinho <zezinho> 5.2.5.0-1.mga8
+ Revision: 1426887
- new version 5.2.5

* Sat Jan 26 2019 daviddavid <daviddavid> 5.2.4.0-3.mga7
+ Revision: 1360974
- add two upstream patches to fix build with Mesa 18.2.5 and later

* Fri Sep 21 2018 umeabot <umeabot> 5.2.4.0-2.mga7
+ Revision: 1294289
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 zezinho <zezinho> 5.2.4.0-1.mga7
+ Revision: 1254781
- new stable version 5.2.4.0

* Wed Oct 11 2017 akien <akien> 5.2.3.0-1.mga7
+ Revision: 1171074
- Version 5.2.3.0

* Sun Mar 12 2017 akien <akien> 5.2.2-1.mga6
+ Revision: 1092226
- Version 5.2.2
- Package each addon lib separately, but keep all dev headers in main -devel package

* Fri Mar 25 2016 pterjan <pterjan> 4.4.2-8.mga6
+ Revision: 995538
- Fix release

* Fri Mar 25 2016 pterjan <pterjan> 4.4.2-7.mga6.mga6
+ Revision: 995520
- Small macros cleanup, that may be why it did not go through mass rebuild

* Thu Sep 10 2015 ovitters <ovitters> 4.4.2-6.mga6
+ Revision: 875660
+ rebuild (emptylog)

* Wed Nov 12 2014 akien <akien> 4.4.2-6.mga5
+ Revision: 796582
- Build alsa module

* Sat Sep 27 2014 tv <tv> 4.4.2-5.mga5
+ Revision: 725936
- rebuild for missing pythoneggs deps

* Mon Sep 15 2014 tv <tv> 4.4.2-4.mga5
+ Revision: 675553
- s/uggests:/Recommends:/

* Tue Dec 10 2013 zezinho <zezinho> 4.4.2-4.mga4
+ Revision: 556200
- fix build against mesa 10
+ dams <dams>
- clean specfile

* Wed Jul 24 2013 zezinho <zezinho> 4.4.2-3.mga4
+ Revision: 457825
- patches synced with fedora to enable loabpng, logg, jpgalleg libs #10616

* Fri Jan 11 2013 umeabot <umeabot> 4.4.2-2.mga3
+ Revision: 345511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 17 2011 fwang <fwang> 4.4.2-1.mga2
+ Revision: 134222
- new version 4.4.2

* Sat Feb 26 2011 alien <alien> 4.4.1.1-4.mga1
+ Revision: 61036
- Remove BuildRoot
- Remove old macros
- imported package allegro


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 4.4.1.1-3mdv2011.0
+ Revision: 634994
- rebuild
- tighten BR

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 4.4.1.1-2mdv2011.0
+ Revision: 609968
- rebuild

* Thu Mar 18 2010 Emmanuel Andry <eandry@mandriva.org> 4.4.1.1-1mdv2010.1
+ Revision: 525103
- New version 4.4.1.1

* Thu Dec 31 2009 Emmanuel Andry <eandry@mandriva.org> 4.4.0.1-1mdv2010.1
+ Revision: 484572
- New version 4.4.0.1 (backward compatible with 4.2.x)
- rediff P4
- drop esd support (not build, dropped upstream ?)
- use cmake
- update files list

* Fri Dec 25 2009 Jérôme Brenier <incubusss@mandriva.org> 4.2.3-1mdv2010.1
+ Revision: 482185
- bugfix version 4.2.3
- drop P0, P1 and P3 (merged in the new source)
- fix url of sources

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 4.2.2-5mdv2010.0
+ Revision: 436639
- rebuild

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.2-4mdv2009.1
+ Revision: 333582
- compile with -fPIC for x86_64
- Patch4: fix build with -Werror=format-security
- disable arts plugin
- use %%define _disable_ld_no_undefined, --disable-asm on x86_64 has same effect

  + Emmanuel Andry <eandry@mandriva.org>
    - fix autoconf with P1 from gentoo
    - fix gcc43 build with P2 and P3 from fedora

  + Götz Waschk <waschk@mandriva.org>
    - fix devel package group

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 4.2.2-3mdv2008.1
+ Revision: 186319
- lib package suggests main package, to get alsa plugin (Mdv bug #38436)

* Tue Jan 29 2008 Colin Guthrie <cguthrie@mandriva.org> 4.2.2-2mdv2008.1
+ Revision: 159681
- Apply upstream patch to handle unsigned samples in alsa (pulseaudio bug #113)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Sat Oct 27 2007 Adam Williamson <awilliamson@mandriva.org> 4.2.2-1mdv2008.1
+ Revision: 102464
- whoops, use Mandriva group names for the plugin packages, not Fedora
- buildrequires texinfo
- fix a badly thought out %%if statement on the part of the previous packager, which led to no 'make' command being issued on x86-64...
- move non-library files from lib package to main package (obey lib policy)
- adopt a couple of things from Fedora:
  	+ convert man and info pages to UTF-8
  	+ package esound, arts and jack plugins separately to avoid unnecessary dependencies
- minor clean ups
- new devel policy
- new version 4.2.2
- import allegro


* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 4.2.0-3mdv2007.0
- rebuild

* Fri Dec  2 2005 Götz Waschk <waschk@mandriva.org> 4.2.0-2mdk
- don't build with svgalib on x86_64

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 4.2.0-0.1mdk
- 4.2 final release !
- dropped gcc4 patch (applied upstream)

* Tue Aug 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.2.0-0.beta4.1mdk
- as no packages no longer use 4.0, update to new 4.2 and merge with testing package
- build with jack and svgalib support too
- fix requires-on-release
- fix short-circuitting
- change major to 4.2 (wrong use of major in lib?)

* Sat Jul 30 2005 Guillaume Bedot <littletux@mandriva.org> 4.0.3-7mdk
- rebuild for cooker / 2006
- buildrequires on gcc3.3
- Patch0: asm patch from allegro-testing package

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.0.3-6mdk
- rebuild
- cosmetics

* Tue Aug 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.3-5mdk
- rebuild

* Sat Jul 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-4mdk
- rebuild

* Mon Jun 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-3mdk
- buildrequires
- cosmetics

* Sun May 04 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-2mdk
- rebuild for rpm 4.2.0
- use %%mklibname for devel package too
- remove commented out configure stuff to satisfy rpmlint
- added man pages to devel package

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-1mdk
- 4.0.3 final

* Sat Mar 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.0.3-0.rc2.1mdk
- 4.0.3-rc2
- enable parallell builds as it works now
- rm -rf buildroot in install stage in stead of prep stage
- use macro for autoconf
- fix the usage of optimize flags
- use %%mklibname macro

* Sat Mar  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 4.0.3-0.rc1.1mdk
- 4.0.3-rc1

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.3-0.beta1.1mdk
- 4.0.3-beta1
- Fix Provides/Requires
- remove BuildRequires glibc-static

* Sun Dec 01 2002  Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-3mdk
- fix file list

* Wed Jul 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-2mdk
- update buildrequires 

* Mon Jul 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-1mdk
- 4.0.2

* Mon Apr 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 4.0.1-2mdk
- let include in non-versioned dir

* Mon Apr 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 4.0.1-1mdk
- 4.0.1
- dropped patch
- moved allegro-config to devel package

* Mon Mar 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.0-4mdk
- regenerate patch from Levi Ramsey to fix allegro.h

* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.0-3mdk
- fix(again) file section (thx Yannick Roehlly)

* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com>  4.0.0-2mdk
- fix files section

* Mon Dec 17 2001 Lenny Cartier <lenny@mandrakesoft.com>  4.0.0-1mdk
- 4.0.0

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.38-1mdk
- 3.9.38

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.36-1mdk
- updated to 3.9.36

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.34-1mdk
- updated by Vlatko Kosturjak <kost@linux-mandrake.com> 3.9.34-1mdk
	- support for new version
	- removed patch
- use egcs

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 3.9.33-3mdk
- ExcludeArch: PPC
- Fix devel description
- Spec clean up

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.9.33-2mdk
- rebuild

* Wed Sep 27 2000 Pixel <pixel@mandrakesoft.com> 3.9.33-1mdk
- initial spec
